> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user role

> Retrieve the details of an existing user role.



## OpenAPI

````yaml get /v1/users/roles/{id}
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/users/roles/{id}:
    get:
      tags:
        - Users > Roles
      summary: Get user role
      description: Retrieve the details of an existing user role.
      operationId: getUserRole
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserRole'
        '404':
          description: User role not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - bearer: []
components:
  schemas:
    UserRole:
      type: object
      properties:
        id:
          type: string
          description: Role ID.
          example: rol_DKL4Xcb5VSa8CQ
        name:
          type: string
          description: Role name.
          example: Admin
        description:
          type:
            - string
            - 'null'
          description: Role description.
          example: null
        is_default:
          type: boolean
          description: Whether this is the default role assigned to new users.
          example: false
      required:
        - id
        - name
        - description
        - is_default
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````